"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pjrCommandFactory = void 0;
const extensions_1 = require("../extensions");
const initialization_1 = require("../initialization");
const agile_1 = require("./agile");
const links_1 = require("./links");
const playbook_1 = require("./playbook");
const repo_1 = require("./repo");
const version_1 = require("./version");
const pjrCommandFactory = () => {
    return new extensions_1.Command()
        .description("Root command for the Projector CLI")
        .name("pjr")
        .initialize(() => {
        initialization_1.registerProviders();
    })
        .asciiArt("projector")
        .passCommandToAction(false)
        .addSubCommand(agile_1.agileCommandFactory())
        .addSubCommand(links_1.linksCommandFactory())
        .addSubCommand(playbook_1.playbookCommandFactory())
        .addSubCommand(repo_1.repoCommandFactory())
        .addSubCommand(version_1.versionCommandFactory())
        .addPhoneTree();
};
exports.pjrCommandFactory = pjrCommandFactory;
